Name:          onig
Version:       6.9.10
Release:       1mamba
Summary:       A regular expressions library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/kkos/oniguruma
Source:        https://github.com/kkos/oniguruma.git/v%{version}/oniguruma-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Oniguruma is a regular expressions library.
The characteristics of this library is that different character encoding 
for every regular expression object can be specified. 

%package -n lib%{name}
Group:         System/Libraries
Summary:       A regular expressions library

%description -n lib%{name}
Oniguruma is a regular expressions library.
The characteristics of this library is that different character encoding 
for every regular expression object can be specified. 

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n oniguruma-%{version}
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libonig.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/onig-config
%{_includedir}/onig*.h
%{_libdir}/libonig.a
%{_libdir}/libonig.so
%{_libdir}/pkgconfig/oniguruma.pc
%doc README

%changelog
* Wed Jan 01 2025 Automatic Build System <autodist@openmamba.org> 6.9.10-1mamba
- automatic version update by autodist

* Sun Oct 15 2023 Automatic Build System <autodist@mambasoft.it> 6.9.9-1mamba
- automatic version update by autodist

* Sat Apr 30 2022 Automatic Build System <autodist@mambasoft.it> 6.9.8-1mamba
- automatic version update by autodist

* Tue Dec 14 2021 Automatic Build System <autodist@mambasoft.it> 6.9.7.1-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 6.9.7-1mamba
- automatic version update by autodist

* Fri Feb 19 2021 Automatic Build System <autodist@mambasoft.it> 6.9.6-1mamba
- automatic version update by autodist

* Fri May 29 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.5_rev1-1mamba
- update to 6.9.5_rev1

* Thu Jul 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9.2-1mamba
- package created by autospec
